Schedulers
Creates a backup Scheduler. You must use one of the supported scheduler types:
full backuptemplated backup
The templateId parameter is optional and should only be provided for template backups.
The runAt time must be unique because schedulers can't run at the same time.
Bearer <access_token>
full backupValores posibles: User timezone
UTCTest scheduler descriptionScheduler name
Returns Id of created Scheduler
Incorrect request data is provided. For example, connectionId or templateId isn't a valid positive number
Connection or Template not found
POST /api/v1/connections/{connectionId}/schedulers/backup HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 557
{
"type": "full backup",
"timezone": "UTC",
"configuration": {
"frequency": "weekly",
"repeatOn": {
"type": "weekly",
"daysOfWeek": [
0,
1
],
"dayOfMonth": "1",
"weekDayOfMonth": {
"firstOrLast": "first",
"weekDay": 1
}
},
"repeatEvery": "2",
"runAt": "12:00"
},
"description": "Test scheduler description",
"name": "text",
"jobSettings": {
"isIncludeMetadata": true,
"isIncludeBinaryObjects": true,
"isIncludeBigObjects": true,
"isIncludeFeedObjects": true,
"isIncludeShareObjects": true,
"isIncludeHistoryObjects": true,
"isIncludeCustomMetadataTypeObjects": true,
"isIncludeTagObjects": true,
"templateId": 1
}
}{
"id": 1
}Returns a list of Backup & Archive Schedulers for the Connection. You can also pass templateId to get Schedulers related to a specific template
Bearer <access_token>
Returns list of Backup & Archive Schedulers
archiveValores posibles: User timezone
UTCIncorrect request data is provided. For example, connectionId isn't a valid number
Connection not found with the provided Id
GET /api/v1/connections/{connectionId}/schedulers HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"type": "archive",
"timezone": "UTC",
"isDefault": true,
"id": 1,
"name": "text",
"configuration": {
"frequency": "weekly",
"repeatOn": {
"type": "weekly",
"daysOfWeek": [
0,
1
],
"dayOfMonth": "1",
"weekDayOfMonth": {
"firstOrLast": "first",
"weekDay": 1
}
},
"repeatEvery": "2",
"runAt": "12:00"
},
"templateName": "text",
"templateId": 1
}
]Returns the Backup & Archive Scheduler by Id
Bearer <access_token>
Returns the Backup & Archive Scheduler by Id
archiveValores posibles: User timezone
UTCTest scheduler descriptionIncorrect request data is provided. For example, connectionId or schedulerId isn't a valid number
Connection or Scheduler not found with the provided Id
Scheduler with the provided Id isn't accessible
GET /api/v1/connections/{connectionId}/schedulers/backup/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"connectionId": 1,
"type": "archive",
"timezone": "UTC",
"isDefault": true,
"description": "Test scheduler description",
"id": 1,
"name": "text",
"templateId": 1,
"templateName": "text",
"configuration": {
"frequency": "weekly",
"repeatOn": {
"type": "weekly",
"daysOfWeek": [
0,
1
],
"dayOfMonth": "1",
"weekDayOfMonth": {
"firstOrLast": "first",
"weekDay": 1
}
},
"repeatEvery": "2",
"runAt": "12:00"
},
"jobSettings": {
"isIncludeMetadata": true,
"isIncludeBinaryObjects": true,
"isIncludeBigObjects": true,
"isIncludeFeedObjects": true,
"isIncludeShareObjects": true,
"isIncludeHistoryObjects": true,
"isIncludeCustomMetadataTypeObjects": true,
"isIncludeTagObjects": true,
"templateId": 1
}
}Última actualización
¿Te fue útil?